updated A9LH 2.1 and gateway payload dosent work

Discussion in '3DS - Flashcards & Custom Firmwares' started by angelus kun, Jun 10, 2016.

  1. angelus kun
    OP

    angelus kun GBAtemp Fan

    Member
    348
    87
    Aug 7, 2015
    Mexico
    in my dreams
    hello everyone :) my question is how i can make gateway official payload compatible with the new version of A9LH 2.1 because gateway mode dosent boot in sysnand :( i dont know anything about programming so if someone tell me how to do that or where i can find the old A9LH from plailect"s guide because the old files work with gateway payloads
     
    Last edited by angelus kun, Jun 10, 2016
  2. kheldar

    kheldar GBAtemp Advanced Fan

    Member
    504
    302
    Jul 4, 2014
    Is there any advantages of upgrading to a9lh 2.1 ?
     
  3. Faolan

    Faolan Advanced Member

    Newcomer
    63
    13
    Oct 29, 2015
    United States
    Wondering the same thing.
     
  4. angelus kun
    OP

    angelus kun GBAtemp Fan

    Member
    348
    87
    Aug 7, 2015
    Mexico
    in my dreams
    Faolan likes this.
  5. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,528
    5,474
    Mar 17, 2010
    Norway
    Alola
    As far as I can tell, the main change is that the stage1 payload was moved and the FIRM0 binary was changed to a bigger one, leaving more room for the stage1 payload. None of the current payloads need this but it will allow for more complex payloads and may be useful for NAND CFW.
    There's also a new uninstall option, and a 2.1 firmware compatible installer.
    Edit: :ninja:
     
    kheldar, Tomato Hentai and Faolan like this.
  6. noctis90210

    noctis90210 GBAtemp Advanced Fan

    Member
    744
    108
    Dec 24, 2013
    just want to ask about the OP, what do you mean by 2.1? the a9lh it self or the safearm9loaderhax?
     
  7. angelus kun
    OP

    angelus kun GBAtemp Fan

    Member
    348
    87
    Aug 7, 2015
    Mexico
    in my dreams
    A9LH itself :)
     
    noctis90210 likes this.
  8. hudhair

    hudhair GBAtemp Advanced Fan

    Member
    636
    76
    Apr 23, 2013
    United States
    Where and how to install A9LH 2.1. Thanks. (sorry for noob question)
     
  9. angelus kun
    OP

    angelus kun GBAtemp Fan

    Member
    348
    87
    Aug 7, 2015
    Mexico
    in my dreams
    plailect"s guide was updated yesteday but be careful because if you use the old files with the new installer or viceversa you will brick
     
    noctis90210 likes this.
  10. noctis90210

    noctis90210 GBAtemp Advanced Fan

    Member
    744
    108
    Dec 24, 2013
    so can you elaborate what are the previous versions?
    i thought numbering versions of a9lh is not implemented...
    here at gbatemp, people usually use the term delebiles build, dark samus build...

    so basically delebiles build is the v1.0 after that, whats next and what are the other features added until this lates 2.1?
     
  11. hudhair

    hudhair GBAtemp Advanced Fan

    Member
    636
    76
    Apr 23, 2013
    United States
    What if i've already installed A9LH using the guide? would I have to downgrade and install again to get A9LH 2.1?
     
    noctis90210 likes this.
  12. noctis90210

    noctis90210 GBAtemp Advanced Fan

    Member
    744
    108
    Dec 24, 2013
    so following plailects guide will install a9lh v2.1 now?
     
  13. angelus kun
    OP

    angelus kun GBAtemp Fan

    Member
    348
    87
    Aug 7, 2015
    Mexico
    in my dreams
    you can reinstall with the new files and ONLY THE NEW FILES :) "
    Do NOT use the original payload_input.zip or data_input.zip with SafeA9LHInstaller v2 or you will BRICK!"

    — Posts automatically merged - Please don't double post! —

    yes if you have A9LH you can update with the part 5
     
    hudhair likes this.
  14. nl255

    nl255 GBAtemp Addict

    Member
    2,616
    379
    Apr 9, 2004
    I am surprised the "safe" installer hasn't been updated to detect which files are being used and install the appropriate a9lh. Or abort in the case of mismatched files.
     
  15. angelus kun
    OP

    angelus kun GBAtemp Fan

    Member
    348
    87
    Aug 7, 2015
    Mexico
    in my dreams
  16. liomajor

    liomajor GBAtemp Maniac

    Member
    1,463
    1,065
    Jun 10, 2008
    United States
    V2 has no advantages to prior v1.

    More space is nice, but can only help if it is needed.

    V2 Stage1 got smaller and should never intermixed with others.

    Example: delebiles Stage 1 and auroras safea9lhinstalller disables d0k3's tools

    Using delebiles stage1/2 with his own installer allows gateway and d0k3's tools works.
     
    satelman likes this.
  17. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,114
    May 31, 2013
    Belarus
    Caves
    So basically don't fix if it ain't broke? I guess in the future it may be advisable to update to V2.
     
  18. liomajor

    liomajor GBAtemp Maniac

    Member
    1,463
    1,065
    Jun 10, 2008
    United States
    If there is a reason and it needs the extra bytes.

    Basicly there is no need at this moment.
     
    satelman and retrofan_k like this.
  19. angelus kun
    OP

    angelus kun GBAtemp Fan

    Member
    348
    87
    Aug 7, 2015
    Mexico
    in my dreams
    Could you please make the gateway payload compatible with the second versión? :)
     
  20. liomajor

    liomajor GBAtemp Maniac

    Member
    1,463
    1,065
    Jun 10, 2008
    United States
    Either use delebile's v2 with his own installer including firm0 from firmware 8.1, or send a mail to gateway if they could fix their arm9loaderhax.bin to work with aurora's v2.

    Aurora's 2.0.1 is only a bugfix > "Disable caches/mpu before changing MPU settings". Using v2 is not better than v1, its completly fine to stay on v1.
     
    Last edited by liomajor, Jun 10, 2016
    mvmiranda and noctis90210 like this.